/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@ricochet.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2004 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.util;

public class BuildVCardPhone
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private boolean home_phone = false;
  private boolean work_phone = false;
  private boolean voice_phone = false;
  private boolean fax_phone = false;
  private boolean pager = false;
  private boolean message = false;
  private boolean cell_phone = false;
  private boolean video_phone = false;
  private boolean bbs_phone = false;
  private boolean modem_phone = false;
  private boolean isdn_phone = false;
  private boolean pcs_phone = false;
  private boolean preferred = false;
  private String number = null;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  public BuildVCardPhone()
  { // do nothing
  } // end constructor

  /*--------------------------------------------------------------------------------
   * Public getters/setters
   *--------------------------------------------------------------------------------
   */

  public final boolean isHomePhone()
  {
    return home_phone;

  } // end isHomePhone

  public final void setHomePhone(boolean f)
  {
    home_phone = f;

  } // end setHomePhone

  public final boolean isWorkPhone()
  {
    return work_phone;

  } // end isWorkPhone

  public final void setWorkPhone(boolean f)
  {
    work_phone = f;

  } // end setWorkPhone

  public final boolean isVoicePhone()
  {
    return voice_phone;

  } // end isVoicePhone
 
  public final void setVoicePhone(boolean f)
  {
    voice_phone = f;

  } // end setVoicePhone

  public final boolean isFax()
  {
    return fax_phone;

  } // end isFax

  public final void setFax(boolean f)
  {
    fax_phone = f;

  } // end setFax

  public final boolean isPager()
  {
    return pager;

  } // end isPager

  public final void setPager(boolean f)
  {
    pager = f;

  } // end setPager

  public final boolean isMessage()
  {
    return message;

  } // end isMessage

  public final void setMessage(boolean f)
  {
    message = f;

  } // end setMessage

  public final boolean isCellPhone()
  {
    return cell_phone;

  } // end isCellPhone

  public final void setCellPhone(boolean f)
  {
    cell_phone = f;

  } // end setCellPhone

  public final boolean isVideoPhone()
  {
    return video_phone;

  } // end isVideoPhone

  public final void setVideoPhone(boolean f)
  {
    video_phone = f;

  } // end setVideoPhone

  public final boolean isBBS()
  {
    return bbs_phone;

  } // end isBBS

  public final void setBBS(boolean f)
  {
    bbs_phone = f;

  } // end setBBS

  public final boolean isModemPhone()
  {
    return modem_phone;

  } // end isModemPhone

  public final void setModemPhone(boolean f)
  {
    modem_phone = f;

  } // end setModemPhone

  public final boolean isISDNPhone()
  {
    return isdn_phone;

  } // end isISDNPhone

  public final void setISDNPhone(boolean f)
  {
    isdn_phone = f;

  } // end setISDNPhone

  public final boolean isPCSPhone()
  {
    return pcs_phone;

  } // end isPCSPhone

  public final void setPCSPhone(boolean f)
  {
    pcs_phone = f;

  } // end setPCSPhone

  public final boolean isPreferred()
  {
    return preferred;

  } // end isPreferred

  public final void setPreferred(boolean f)
  {
    preferred = f;

  } // end setPreferred

  public final String getNumber()
  {
    return number;

  } // end getNumber

  public final void setNumber(String s)
  {
    number = s;

  } // end setNumber

  /*--------------------------------------------------------------------------------
   * External operations
   *--------------------------------------------------------------------------------
   */

  public void reset()
  {
    home_phone = false;
    work_phone = false;
    voice_phone = false;
    fax_phone = false;
    pager = false;
    message = false;
    cell_phone = false;
    video_phone = false;
    bbs_phone = false;
    modem_phone = false;
    isdn_phone = false;
    pcs_phone = false;
    preferred = false;
    number = null;

  } // end reset

  public VCardPhone create()
  {
    return new VCardPhone(home_phone,work_phone,voice_phone,fax_phone,pager,message,cell_phone,video_phone,bbs_phone,
			  modem_phone,isdn_phone,pcs_phone,preferred,number);

  } // end create

} // end class BuildVCardPhone
